Bug 1934261 (CVE-2021-20269) - CVE-2021-20269 kexec-tools: incorrect permissions on kdump dmesg file
Summary: CVE-2021-20269 kexec-tools: incorrect permissions on kdump dmesg file
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-20269
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1937605 1937611 1937612 1937613 1937614 1938165
Blocks: 1934262 1972610
TreeView+ depends on / blocked
 
Reported: 2021-03-02 19:17 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-04-17 21:11 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the permissions of a log file created by kexec-tools. This flaw allows a local unprivileged user to read this file and leak kernel internal information from a previous panic. The highest threat from this vulnerability is to confidentiality.
Clone Of:
Environment:
Last Closed: 2021-11-09 19:22:39 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4404 0 None None None 2021-11-09 18:38:23 UTC

Description Guilherme de Almeida Suckevicz 2021-03-02 19:17:21 UTC
When there is a crash on the system, kdump generates the dmesg file with incorrect permissions.

Comment 3 Wade Mealing 2021-03-11 06:26:49 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1937605]

Comment 5 Wade Mealing 2021-03-11 07:00:30 UTC
Created kexec-tools tracking bugs for this issue:

Affects: fedora-all [bug 1937614]

Comment 9 RaTasha Tillery-Smith 2021-03-11 13:06:06 UTC
Mitigation:

The kexec service can be disabled until the kexec-tools package are updated on the system. No reboot is required for these changes to take effect.

Comment 13 errata-xmlrpc 2021-11-09 18:38:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4404 https://access.redhat.com/errata/RHSA-2021:4404

Comment 14 Product Security DevOps Team 2021-11-09 19:22:36 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-20269


Note You need to log in before you can comment on or make changes to this bug.